Composer

Com Composer vai ter um gerenciador PHP de dependências. Baixa a versão correta de todos os componentes que seu projeto requer

8 / 10 (2 Votos)

Composer é uma ferramenta essencial para os programadores PHP . Este gerenciador de dependências PHP é capaz de verificar e indicar quais os componentes e bibliotecas estão faltando em seu projeto web e qual versão é necessária, baixar e instalar te poupando do trabalho sujo.

Um gerenciador de pacotes?

Pode parecer, mas os criadores do Composer deixam claro: é um gerenciador de dependência. Ao contrário de gerenciadores de pacotes, trabalha diretamente com seus projetos, desde que instala as unidades diretamente nos diretórios envolvidos .

Como funciona o gerenciador Composer

  • Tem um projeto inacabado, porque depende de um grande número de bibliotecas.
  • Estas bibliotecas dependem de outras.
  • Explicar quais suas dependências .
  • Downloads as corretas versões e compatíveis diretamente em seu projeto.

Se você trabalha com PHP baixe Composer gratuito e esquece todas as dependências. Gerencia dependencias e não só pacotes.

Requisitos e informação adicional:
  • Ele requer PHP 5.3.2 ou superior para ser executado.
  • Você deve ter uma conexao à Internet para concluir a instalação.
Nils Adermann, Jordi Boggiano
Há mais de um ano
Mais de um ano
659 KB

Imagens de Composer

Gostamos de ouvir o que você tem a dizer. Por favor, deixe seu comentário.

Desconectado

Desconectado